=== docs/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 TOPDIR = $(SRCDIR)/..
 
 include $(TOPDIR)/Make.defaults
+include $(TOPDIR)/Make.version
 
 MAN1TARGETS = efivar.1
 MAN3TARGETS = efi_append_variable.3 \
@@ -10,6 +11,7 @@
 	     efi_get_variable.3 \
 	     efi_get_variable_attributes.3 \
 	     efi_get_variable_size.3 \
+	     efi_guid_to_id_guid.3 \
 	     efi_guid_to_name.3 \
 	     efi_guid_to_str.3 \
 	     efi_guid_to_symbol.3 \
@@ -17,7 +19,21 @@
 	     efi_set_variable.3 \
 	     efi_str_to_guid.3 \
 	     efi_symbol_to_guid.3 \
-	     efi_variables_supported.3
+	     efi_variables_supported.3 \
+	     efi_variable_t.3 \
+	     efi_variable_import.3 \
+	     efi_variable_export.3 \
+	     efi_variable_alloc.3 \
+	     efi_variable_free.3 \
+	     efi_variable_set_name.3 \
+	     efi_variable_get_name.3 \
+	     efi_variable_set_guid.3 \
+	     efi_variable_get_guid.3 \
+	     efi_variable_set_data.3 \
+	     efi_variable_get_data.3 \
+	     efi_variable_get_attributes.3 \
+	     efi_variable_set_attributes.3 \
+	     efi_variable_realize.3
 
 all :
