=== debian/changelog ===
efivar (0.21-1~14.04.2) trusty; urgency=medium

  * Remove spurious Breaks for efibootmgr; the efibootmgr in 14.04 does not
    have a runtime dependency on libefivar0 so no Breaks is needed.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 01 Jun 2016 16:17:14 -0400

efivar (0.21-1~14.04.1) trusty; urgency=medium

  * Backport efivar to 14.04; to support mokutil. (LP: #1574727)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 26 Apr 2016 11:22:03 -0400

efivar (0.21-1) unstable; urgency=medium

  * New upstream release
  * Don't override dh_auto_test anymore since it's not needed now.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jul 2015 16:45:14 -0500

efivar (0.20-4) unstable; urgency=medium

  * Upstream says that we don't want to run "make test" on our buildds so don't

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 24 Jun 2015 15:54:08 -0500

efivar (0.20-3) unstable; urgency=medium

  * Exclude the padded NULL when comparing the file size in vars_del_variable()

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 24 Jun 2015 10:01:23 -0500

efivar (0.20-2) unstable; urgency=medium

  * Use a more standard soname version.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 22 Jun 2015 15:35:15 -0500

efivar (0.20-1) unstable; urgency=medium

  * ACK'ing Mario's changes

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 09 Jun 2015 13:04:03 -0500

efivar (0.20-0.1) UNRELEASED; urgency=medium

  [ Mario Limonciello ]
  * Drop patches that are already upstream.
  * Add a patch to create explicit dependency on -ldl to fix FTBFS on pesign.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 04 Jun 2015 15:31:45 -0500

efivar (0.19-4) unstable; urgency=medium

  * Mario couldn't let me go another hour without a patch:
    Adjust linker order for pkg-config to fix FTBFS on Ubuntu toolchain

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 23:22:27 -0500

efivar (0.19-3) unstable; urgency=medium

  * Fix build on Ubuntu as reported by Mario Limonciello.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 22:54:19 -0500

efivar (0.19-2) unstable; urgency=medium

  * Upstream: Work around LocateDevicePath() not grokking PcieRoot() devices 
    properly.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 15:40:23 -0500

efivar (0.19-1) unstable; urgency=medium

  * New upstream release
  * All quilt patches upstream

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 29 May 2015 10:39:38 -0500

efivar (0.18-1) unstable; urgency=medium

  * New upstream release
  * We didn't actually skip 0.1[67], they just weren't really released upstream
  * Remove all previous quilt patches since they're upstream now
  * We need to remove includ of pci/pci.h
  * I guess I want debian-policy 3.9.6.1. Where do all these periods come from?

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 08 May 2015 14:40:37 -0500
