=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
 Uploaders: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9.0.0), libpopt-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.6.1
 Section: libs
 Homepage: https://github.com/vathpela/efivar
 Vcs-Git: git://anonscm.debian.org/collab-maint/efivar.git
