=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/efivar-$1\.tar\.gz/ \
#https://github.com/vathpela/efivar/tags .*/v?(\d\S*)\.tar\.gz

https://github.com/vathpela/efivar/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|efivar(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
