=== debian/changelog ===
efivar (0.23-2) unstable; urgency=medium

  [ Mario Limonciello ]
  * Backport patches to fix fwupdate working on NVMe drives from efivar master.

  [ Daniel Jared Dominguez ]
  * Remove debug output in debian/rules I forgot to take out.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Fri, 11 Mar 2016 01:43:01 -0600

efivar (0.23-1) unstable; urgency=medium

  [ Steve McIntyre ]
  * Correct upstream information - https://github.com/rhinstaller/efivar

  [ Peter Jones ]
  * Sometimes the compiler doesn't like { 0, } as an initializer...
  * Set the correct value for SATA port multipliers when there isn't one.
  * Make our definitions for efi_well_known_guid* consistent.
  * Make the makefile a lot simpler to deal with.

  [ Felix Janda ]
  * Use the more portable major() instead of gnu_dev_major()

  [ Peter Jones ]
  * Treat minor device numbers in sysfs as unsigned.
  * Make the compiler enforce strict symbol versioning.

  [ Lans Zhang ]
  * Fix getting back a wrong relpath

  [ Peter Jones ]
  * Make library objects depend on generated sources so make -jN works better.
  * Fix .PRECIOUS / .INTERMEDIATE / .SECONDARY to avoid unneeded rebuilding.
  * libefivar: Try to do a better job on SATA.
  * libefivar: explicitly link with libdl
  * Format ACPI _ADR device lists in hex, not decimal.
  * Return the right offset in format_vendor_helper()
  * libefiboot: Make efidp multi-instance iteration actually work.
  * Show a closing ) on vendor console device paths.
  * Temporarily use --add-needed when linking libefivar.so
  * Ignore efivar-static in the rpm .spec
  * Mark more of our exports with "default" visibility.
  * Make makeguids generate guid-symbols.c instead of .S
  * efivar: Don't list padding from the end of efi_well_known_guids with -L
  * Make LDFLAGS get set right from the rpm build
  * Make -fPIC and -fPIE work as they should, and default correctly
  * Use gcc -specs= for most command line stuff normally.
  * libefiboot: figure out nvme device paths better.

  [ Sylvain Chouleur ]
  * Rename endian.h into efivar_endian.h to avoid conflicts

  [ Steve McIntyre ]
  * Multiple fixes for compilation with gcc 6

  [ Peter Jones ]
  * Make efivar work with immutable efivarfs files.
  * Release 0.22

  [ Mike Gilbert ]
  * Make.defaults: Improve gcc/clang detection

  [ Felix Janda ]
  * Compile without -fshort-wchar

  [ Peter Jones ]
  * Make guids be in correct byte order both in text and ram...
  * Put "-L." is in LDFLAGS so we don't need installed libefivar to build.
  * Make gcc.specs work with gcc 6 / binutils 2.26
  * Make df78c364 actually work.
  * Try to pretend 0.22 didn't happen by making 0.23 the next day.

  [ Daniel Jared Dominguez ]
  * don't need current quilt patches after merging 0.23
  * deal with kernel 4.4's botched NVMe header reorg
  * use debian-policy 3.9.7.0
  * update watch file
  * we need pkg-config to build

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 18 Feb 2016 14:25:19 -0600

efivar (0.21-2) unstable; urgency=medium

  * update VCS info
  * use debian-efi as maintainer
  * Multiple fixes for compilation with gcc 6. Closes: #811609

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 Jan 2016 21:35:09 +0000
