=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: efivar
 Priority: optional
-Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
-Uploaders: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libpopt-dev
-Standards-Version: 3.9.6.1
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
+Build-Depends: debhelper (>= 9.0.0), libpopt-dev, pkg-config
+Standards-Version: 3.9.7.0
 Section: libs
-Homepage: https://github.com/vathpela/efivar
-Vcs-Git: git://anonscm.debian.org/collab-maint/efivar.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/efivar.git
+Homepage: https://github.com/rhinstaller/efivar
+Vcs-Git: git://anonscm.debian.org/uefi/efivar.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/efivar.git
 
 Package: libefivar-dev
 Section: libdevel
@@ -30,5 +30,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: efibootmgr (<< 0.12-2)
 Description: Library to manage UEFI variables
  Library to allow for the simple manipulation of UEFI variables.
