## efivar 30

=== debian/changelog ===
efivar (30-2) unstable; urgency=medium

  * Correct NEWS format to satisfy lintian warnings
  * Backport a patch to fix builds that fail from multiple definitions
  * Backport a patch from upstream to fix NVMe sysfs support after
    kernel 4.5
  * Backport patch from upsteram to fix major/minor device handling
    (Closes: #844237)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 14 Apr 2017 09:43:21 -0500

efivar (30-1) unstable; urgency=medium

  * new upstream version (30)
  * Update dell email addresses (_ -> .)
  * Move to new SONAME based upon upstream commit b729026
    - Additional details are available in debian/NEWS.
  * Add x32 to architectures (Closes: #777261)
  * Build with -flto by default, to avoid efivar issue #60

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 23 Sep 2016 15:00:08 -0500

efivar (27-1) unstable; urgency=medium

  * Update to 27 release.
  * create new packages for updated sonames
  * Drop all patches.
  * update debian standards version
  * Add Mario to uploaders

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 18 Aug 2016 12:58:18 -0500
