## efivar 31

=== debian/changelog ===
efivar (31-1) unstable; urgency=medium

  * New upstream version (31)
  * Fixes FTBFS with gcc-7 (Closes: #853384)
  * Drop all patches (upstream)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 04 Aug 2017 15:49:01 -0500
