=== src/Makefile ===
--- 
+++ 
@@ -4,18 +4,19 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
--include $(call deps-of,$(ALL_SOURCES))
 
 LIBTARGETS=libefivar.so libefiboot.so
 STATICLIBTARGETS=libefivar.a libefiboot.a
-BINTARGETS=efivar efivar-static
+BINTARGETS=efivar
+STATICBINTARGETS=efivar-static
 PCTARGETS=efivar.pc efiboot.pc
-TARGETS=$(LIBTARGETS) $(STATICLIBTARGETS) $(BINTARGETS) $(PCTARGETS)
+TARGETS=$(LIBTARGETS) $(BINTARGETS) $(PCTARGETS)
+STATICTARGETS=$(STATICLIBTARGETS) $(STATICBINTARGETS)
 
 LIBEFIBOOT_SOURCES = crc32.c creator.c disk.c gpt.c linux.c loadopt.c
 LIBEFIBOOT_OBJECTS = $(patsubst %.c,%.o,$(LIBEFIBOOT_SOURCES))
 LIBEFIVAR_SOURCES = dp.c dp-acpi.c dp-hw.c dp-media.c dp-message.c \
-	efivarfs.c export.c guid.c guids.S guid-symbols.c \
+	efivarfs.c error.c export.c guid.c guids.S guid-symbols.c \
 	lib.c vars.c
 LIBEFIVAR_OBJECTS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(LIBEFIVAR_SOURCES)))
 EFIVAR_SOURCES = efivar.c
@@ -24,7 +25,17 @@
 ALL_SOURCES=$(LIBEFIBOOT_SOURCES) $(LIBEFIVAR_SOURCES) $(MAKEGUIDS_SOURCES) \
 	$(wildcard include/efivar/*.h) $(GENERATED_SOURCES) $(EFIVAR_SOURCES)
 
-all : deps $(TARGETS)
+$(call deps-of,$(ALL_SOURCES)) : | deps
+-include $(call deps-of,$(ALL_SOURCES))
+
+all : $(TARGETS)
+
+static : $(STATICTARGETS)
+
+abidw : $(patsubst %.so,%.abixml,$(LIBTARGETS))
+	git commit -s --amend $^
+
+abicheck : $(patsubst %.so,%.abicheck,$(LIBTARGETS))
 
 ./guid-symbols.c : include/efivar/efivar-guids.h
 ./guids.bin : include/efivar/efivar-guids.h
@@ -45,8 +56,9 @@
 libefivar.a : $(patsubst %.o,%.static.o,$(LIBEFIVAR_OBJECTS))
 
 libefivar.so : $(LIBEFIVAR_OBJECTS)
-libefivar.so : | $(GENERATED_SOURCES)
+libefivar.so : | $(GENERATED_SOURCES) libefivar.map
 libefivar.so : LIBS=dl
+libefivar.so : MAP=libefivar.map
 
 efivar : efivar.c | libefivar.so
 efivar : LIBS=efivar dl
@@ -60,12 +72,15 @@
 libefiboot.a : $(patsubst %.o,%.static.o,$(LIBEFIBOOT_OBJECTS))
 
 libefiboot.so : $(LIBEFIBOOT_OBJECTS)
+libefiboot.so : | libefiboot.map libefivar.so
+libefiboot.so : LIBS=efivar
+libefiboot.so : MAP=libefiboot.map
 
-deps :: $(ALL_SOURCES)
+deps : $(ALL_SOURCES)
 	$(MAKE) -f $(SRCDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)"
 
 clean : 
-	@rm -rfv *~ *.o *.a *.E *.so *.so.* *.pc *.bin .*.d \
+	@rm -rfv *~ *.o *.a *.E *.so *.so.* *.pc *.bin .*.d *.map \
 		makeguids guid-symbols.c include/efivar/efivar-guids.h \
 		$(BINTARGETS)
 	@# remove the deps files we used to create, as well.
@@ -74,9 +89,10 @@
 install : all
 	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
 	$(foreach x,$(LIBTARGETS), \
-		$(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir)/$(x).$(VERSION) ;\
-		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x).$(MAJOR_VERSION);\
-		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x); )
+		$(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir)/$(x).1.$(VERSION) ;\
+		ln -fs $(x).1.$(VERSION) $(DESTDIR)$(libdir)/$(x).1 ;\
+		ln -fs $(x).1.$(VERSION) $(DESTDIR)$(libdir)/$(x) ;\
+		)
 	$(INSTALL) -d -m 755 $(DESTDIR)$(PCDIR)
 	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(PCDIR) ;)
 	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)/efivar
@@ -87,9 +103,9 @@
 test : all
 	$(MAKE) -C test $@
 
-.PHONY: test
-.SECONDARY : libefivar.so.$(VERSION) libefivar.so.$(MAJOR_VERSION)
-.SECONDARY : libefiboot.so.$(VERSION) libefiboot.so.$(MAJOR_VERSION)
+.PHONY: test deps
+.SECONDARY : libefivar.so.1.$(VERSION) libefivar.so.1
+.SECONDARY : libefiboot.so.1.$(VERSION) libefivar.so.1
 .SECONDARY : include/efivar/efivar-guids.h guid-symbols.c
 .INTERMEDIATE : guids.bin names.bin
 .PRECIOUS : guid-symbols.o makeguids
