## efivar 34

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
+include $(TOPDIR)/Make.coverity
 
 SUBDIRS := src docs
 
@@ -32,43 +33,17 @@
 		exit 1 ; \
 	fi
 
-.PHONY: $(SUBDIRS) a brick coverity cov-upload
+.PHONY: $(SUBDIRS) a brick
 
 GITTAG = $(shell bash -c "echo $$(($(VERSION) + 1))")
 
 efivar.spec : | Makefile Make.version
-
-COV_EMAIL=$(call get-config,coverity.email)
-COV_TOKEN=$(call get-config,coverity.token)
-COV_URL=$(call get-config,coverity.url)
-COV_FILE=efivar-coverity-$(GITTAG)-$(COMMIT_ID).tar.bz2
-COMMIT_ID=$(shell git log -1 --pretty=%H 2>/dev/null || echo master)
-
-cov-int : clean
-	cov-build --dir cov-int make all
-
-$(COV_FILE) : cov-int
-	tar caf $@ cov-int
-
-cov-upload :
-	@if [[ -n "$(COV_URL)" ]] &&					\
-	    [[ -n "$(COV_TOKEN)" ]] &&					\
-	    [[ -n "$(COV_EMAIL)" ]] ;					\
-	then								\
-		echo curl --form token=$(COV_TOKEN) --form email="$(COV_EMAIL)" --form file=@"$(COV_FILE)" --form version=$(GITTAG).1 --form description="$(COMMIT_ID)" "$(COV_URL)" ; \
-		curl --form token=$(COV_TOKEN) --form email="$(COV_EMAIL)" --form file=@"$(COV_FILE)" --form version=$(GITTAG).1 --form description="$(COMMIT_ID)" "$(COV_URL)" ; \
-	else								\
-		echo Coverity output is in $(COV_FILE) ;		\
-	fi
-
-coverity : $(COV_FILE) cov-upload
 
 clean :
 	@set -e ; for x in $(SUBDIRS) ; do \
 		$(MAKE) -C $$x $@ ; \
 	done
 	@rm -vf efivar.spec
-	@rm -vrf cov-int efivar-coverity-*.tar.*
 
 test-archive: abicheck efivar.spec
 	@rm -rf /tmp/efivar-$(GITTAG) /tmp/efivar-$(GITTAG)-tmp
