=== debian/changelog ===
efivar (34-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 15 Mar 2018 18:24:03 -0700

efivar (34-1) unstable; urgency=medium

  [ Steve McIntrye ]
  * Move git repo from alioth to salsa.d.o

  [ Mario Limonciello ]
  * New upstream version (34)
  * Drop all patches (upstream)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 13 Feb 2018 11:07:12 -0600

efivar (32-2) unstable; urgency=medium

  * Backport a patch that allows fwupdate 10 to compile.
  * Fix FTCBFS: (Closes: #843261)
    + Pass CROSS_COMPILE to make
    + 0001-Add-a-patch-from-Helmut-Grohne-for-cross-compiling.patch

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 08 Jan 2018 17:24:57 -0600

efivar (32-1) unstable; urgency=medium

  * New upstream version (32)
  * update standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 31 Oct 2017 15:12:18 -0500
