=== debian/control ===
Source: efivar
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0), libpopt-dev, pkg-config
Standards-Version: 4.1.1
Section: libs
Homepage: https://github.com/rhinstaller/efivar
Vcs-Git: https://salsa.debian.org/efi-team/efivar.git
Vcs-Browser: https://salsa.debian.org/efi-team/efivar

Package: libefivar-dev
Section: libdevel
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Depends: libefivar1 (= ${binary:Version}), ${misc:Depends}
Description: Development headers for libefivar
 development headers required to use libefivar

Package: libefiboot-dev
Section: libdevel
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Depends: libefiboot1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libefivar-dev (<< 27-1)
Replaces: libefivar-dev (<< 27-1)
Description: Development headers for libefiboot
 development headers required to use libefiboot

Package: efivar
Section: admin
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libefivar1 (= ${binary:Version}), libefiboot1 (= ${binary:Version})
Description: Tools to manage UEFI variables
 efivar provides a simple command line interface to the UEFI variable facility.

Package: libefiboot1
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: efibootmgr (<< 0.12-2)
Description: Library to manage UEFI variables
 Library to allow for the manipulation of UEFI variables related to booting.

Package: libefivar1
Architecture: amd64 i386 ia64 armhf arm64 armel x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: efibootmgr (<< 0.12-2)
Description: Library to manage UEFI variables
 Library to allow for the simple manipulation of UEFI variables.
